import 'package:syncrow_app/features/devices/model/status_model.dart';

class OneGangModel {
  bool firstSwitch;
  int firstCountDown;

  OneGangModel({
    required this.firstSwitch,
    required this.firstCountDown,
  });

  factory OneGangModel.fromJson(List<StatusModel> jsonList) {
    bool _switch = false;
    int _count = 0;

    for (int i = 0; i < jsonList.length; i++) {
      if (jsonList[i].code == 'switch_1') {
        _switch = jsonList[i].value ?? false;
      } else if (jsonList[i].code == 'countdown_1') {
        _count = jsonList[i].value ?? 0;
      }
    }
    return OneGangModel(
      firstSwitch: _switch,
      firstCountDown: _count,
    );
  }
}
